Skip to main content
GET
/
api
/
v1
/
coupons
/
{coupon_id}
Get coupon details
curl --request GET \
  --url https://api.example.com/api/v1/coupons/{coupon_id} \
  --header 'Authorization: Bearer <token>'
{
  "code": "<string>",
  "description": "<string>",
  "disabled": true,
  "discount": {
    "percentage": "<string>"
  },
  "id": "<string>",
  "reusable": true,
  "expires_at": "2023-11-07T05:31:56Z",
  "recurring_value": 123,
  "redemption_limit": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

coupon_id
string<MeteroidId>
required

Coupon ID

Example:

"cou_7n42DGM5Tflk9n8mt7Fhc7"

Response

Coupon details

code
string
required
description
string
required
disabled
boolean
required
discount
object
required
id
string<MeteroidId>
required
Example:

"cou_7n42DGM5Tflk9n8mt7Fhc7"

reusable
boolean
required
expires_at
string<date-time> | null
recurring_value
integer<int32> | null
redemption_limit
integer<int32> | null